%define httpconfdir %_sysconfdir/httpd/conf.d
%define ninja_module_name nachos
Name: op5-nachos-ui
Version: %{op5version}
Release: %{op5release}
License: GPLv2
Vendor: OP5 AB
Url: https://www.itrsgroup.com
BuildRoot: %{_tmppath}/%{name}-%{version}
Summary: Nachos UI
Group: Applications/Internet
Prefix: /opt/monitor/op5/ninja
BuildArch: noarch
Requires: op5-nachos
Requires: monitor-nacoma
Requires: monitor-ninja >= 3.1
BuildRequires: monitor-ninja
BuildRequires: monitor-ninja-devel
Source: %name-%version.tar.gz
%systemd_requires


%description
A monitor integration to be used with the Nachos API


%package test
Summary: Test files for Nachos-UI
Group: op5/Monitor
BuildRequires: monitor-ninja
Requires: monitor-nacoma
Requires: git
Requires: monitor-management-packs
Requires: monitor-ninja
Requires: monitor-pnp
Requires: op5-mysql
Requires: php-process
Requires: plugins-metadata
Requires: plugins-nagios
Requires: portal
Requires: gcc
Requires: chromedriver
Requires: ruby
Requires: ruby-devel
Requires: op5int_webtest


%description test
Misc test files for nacoma.


%prep
%setup -q


%build
php build.php


%install
%{__install} -D -m 644 export.php %{buildroot}/opt/monitor/op5/%{ninja_module_name}/export.php

mkdir --parents --mode 755 %buildroot%prefix/modules
cp --recursive %{ninja_module_name} %buildroot%prefix/modules

%{__install} -D -m 644 httpd-%{ninja_module_name}.conf %{buildroot}%{httpconfdir}/monitor-20-%{ninja_module_name}.conf


%post
systemctl restart httpd.service || :


%files
/opt/monitor/op5/%{ninja_module_name}/export.php
%{httpconfdir}/monitor-20-%{ninja_module_name}.conf
%prefix/modules/%{ninja_module_name}


%files test

%clean
rm -rf %buildroot


%changelog
* Tue Apr 17 2018 Robin Engström <rengstrom@op5.com>
- Initial build
